Subject: Re: [gaia] Time for exploring new Internet architectures?

From: Steve Song <[email-masked]>
Date: Mon, 6 Jan 2014 13:45:27 -0400

Hi all,

I can contribute a few lessons learned from building Village Telco (
http://villagetelco.org) as a social enterprise over the last couple of
years.

1/  WiFi is undervalued in emerging markets as complementary
infrastructure.  In the industrialised world, we see the role that WiFi is
playing in terms of data offload.  See
http://www.nielsen.com/uk/en/insights/press-room/2012/wi-fi-delivers-over-three-quarters-of-all-uk-smartphone-data.htmlor
http://www.mobidia.com/products/analytics/  In emerging markets, WiFi is
rarely mentioned as a strategic technology.  It would be nice to see
national broadband plans acknowledging the role of unlicensed spectrum as
that might lead to a change in point 2.

2/  ISM band regulation is far from normalised across countries.  We assume
that WiFi is legal everywhere but the truth is the regulation of WiFi
(point-to-point in particular) is pretty inconsistent.  In Zimbabwe, use of
ISM bands for point-to-point connections is not illegal but a license is
required and the regulator (POTRAZ) has decided not to give out any
licenses in the ISM bands.  In Malawi, point-to-point WiFi is legal but
attracts a USD1000 fee per year; a pretty steep hurdle for a small
entrepreneur.  There is space for an advocacy campaign just around making
the ISM bands more accessible, not to mention increasing unlicensed
spectrum in the 5GHz band.

3/  Last and most important, mechanisms for entrepreneurs are key.  Simple
billing systems that tie into local mobile money solutions could really
help WiFi take off in emerging markets.  This is where we failed with
Village Telco.  We focused too much on devices and simplifying deployment
when we should have placed equal or arguably more emphasis on simple
billing solutions.  Management systems are important too but billing is
first prize.

Regards... Steve

On 5 January 2014 12:35, Jon Crowcroft <[email-masked]> wrote:

> I don't want to pre-judge anything we talk about, but it would be nice to
> have more folks here with stories from the coal face of challenging
> deployments in the wild - what works and what doesn't and what was
> surprising about why and why not - that could drive the selection of
> problems to tackle, whether operational, standards, or
> research/architectural...
>
> one lesson from usability research is that if you make something more
> usable for people (like me, with hearing and sight problems) you make them
> even more usable for everyone else -
>
> I suspect that if we tackle the high bar to deploy, manage and sustain an
> Internet Service (relative to the disposable income in parts of the world
> we're discussing), we may find something that will be equally (or even
> more) of interest to the commercial outfits in the G20 etc...
>
> this may turn out to be just nailing how to plug 'n play very very big
> systems (so lessons for Internet of Things will also be useful) - so a
> single engineer call out for a broadband provider in the UK is said to wipe
> out the margin of profit for that customer for a year - imagine a world
> where we each have a 5000 devices - so the call out rate could be 1000
> times higher, or we need to scale fault free system operation UP by 1000
> times - another way to put this is that in developing world, we need to
> scale down costs of managing internet access by around 1000 times.
>
> that seems like a climbable mountain....steep, but not impossible:)
>
> happy new year
>
> cheers
> jon
>
>
> On Sun, Jan 5, 2014 at 12:30 PM, Prof. Adam Wolisz <[email-masked]> wrote:
>
>>  Arjuna,
>> Happy New Year!!
>> ===
>> Here come my 2 cents:
>>
>> 1.  I completely agree that we need a new "Operation style" -in fact not
>> only for the developing regions!
>>      I do believe that we need this new "operation style" also to
>> mitigate the costs of the networking
>>      infrastructure  everywhere - I have discussed some of this in
>>       Wolisz, A. "Desirable Trends in Mobile Communication<http://www.tkn.tu-berlin.de/menue/publications1/journal_papers_and_book_chapters/?tx_sibibtex_pi1%5Bcontentelement%5D=tt_content%3A427959&tx_sibibtex_pi1%5BshowUid%5D=507813&cHash=b5bfeb6f07>",
>>
>> *        ACM Mobile Computing and Communication Review (MC2R)*, vol. 16,
>> no. 1, pp. 2–9, January, 2012
>>
>> 2/   I am not sure yet if a new  ARCHITECTURE is really THE KEY issue.
>> It seems that many of the
>>        issues addressed in your statement can be attacked - in clever way
>> - within the limits of existing
>>        architectures - or with their "slight extensions"
>>
>>         Some candidate area:
>>        a/ re- designing of the applications!
>>              In fact, numerous of today´s applications are unnecessarily
>> depending on
>>              the connectivity when  local operation (with locally pre-
>> stored data!) would be entirely sufficient.
>>                ==>  IN FACT your statement goes in this direction  :-)
>>
>>        b/   The efficiency of today´s  applications is really poor.
>>                Some - very simplistic! - ways to improve it have been
>> recently discussed in
>>   *                F.Quiang et al. How to Reduce Smartphone Traffic
>> Volume by 30%? In *
>>
>>
>> *Springer                  LNCS 7799 pp.42-52 (proc. of the PAM 2013)
>> *
>>
>>         c/ more efficient discovery of and access to  locally,
>> peer-hosted information  is needed.
>>               We know that frequently numerous people in the proximity
>> are interested in the same
>>              information,  and might just share it, instead of Separately
>> downloading it from the infrastructure.
>>              See, e.g.
>>
>>         X.Bao et al. “DataSpotting: Exploiting Naturally Clustered MobileDevices to Offload Cellular Traffic”
>>          Infocom 2013;
>>
>> http://ieeexplore.ieee.org/xpl/login.jsp?tp=&arnumber=6566807&url=http%3A%2F%2Fieeexplore.ieee.org%2Fxpls%2Fabs_all.jsp%3Farnumber%3D6566807
>>
>>
>> *So  my take would be: Let us explore - by research and experimentation -
>> **where  the "limits in the *
>> *architecture" really are*
>>
>> * - and what can be done within the existing architectural limits? In
>> other words:  -the answer  - as for today - seems to me to be:  YeyN   .. *
>>
>>
>>
>>
>> * best adam *
>>
>>
>>     On 05.01.2014 12:29, Arjuna Sathiaseelan wrote:
>>
>> Dear All,
>>   Happy New Year!
>>
>> During the holidays, it was a privilege to get a few more members
>> including the commonwealth telecommunications organisations.
>>
>> Just to kickstart an initial discussion:
>>
>> There has been significant focus on new edge access technologies with
>> all the promising white space initiatives especially with Microsoft
>> and Google showing a keen interest in these technologies:
>> http://google-africa.blogspot.de/2013/11/trial-in-cape-town-shows-that-tv-white.htmlhttp://www.microsoft.com/africa/4afrika/white_spaces_project.aspx
>>
>> And folks from Berkeley on GSM whitespaces:http://www.eecs.berkeley.edu/Pubs/TechRpts/2013/EECS-2013-198.pdf
>>
>> Its great to know that there is much wider acceptance and expectations
>> on newer access tech to deliver its promises because of all the known
>> challenges faced by existing access tech.
>>
>> So this naturally raises an important question: There has been
>> significant amount of work done on new Internet architectures for e.g
>> Delay Tolerant Networking (DTN) and Information Centric Networking
>> (ICN).There has been some proven evidence how such technologies could
>> reduce cost of Internet access especially on how DTN could be used for
>> time-shifting content during off-peak hours reducing costs
>> significantly..
>>
>> “Delay Tolerant Bulk Data Transfers on the Internet“, N. Laoutaris, G.
>> Smaragdakis, P. Rodriguez, R. Sundaram, in ACM/SIGMETRICS’09.
>>
>> With all the issues with power and power accounting for 50% of OPEX
>> for rural networks
>> (http://www.itu-apt.org/gtas11/green-solutions.pdf), should'nt we
>> start trialling out new Internet architectures that move away from the
>> traditional "always-on" model to "almost always off" mode which calls
>> for the need to bring in tech like DTN and ICN. It is absolutely
>> encouraging to see that there seems to be an infrastructural thinking
>> in this direction:https://www.usenix.org/system/files/conference/nsdi13/nsdi13-final182.pdf
>>
>> Infact ICN has other proven benefits:
>>
>> (i)  the publish/subscribe approach reduces bandwidth wastage ( why do
>> we need to PUSH all the heavy long tailed videos to the cloud - just
>> publish metadata and based on interest, push the data on demand? This
>> applies for all the other OSN content sharing..)
>>
>> (ii) And the other inherent edge caching benefits for localised access
>> (infact the Google cache initiatives in Africa is encouraging:http://www.tnj.com/career/people-move/googles-ory-okolloh-working-access-and-transparency-sub-saharan-africa)
>>
>>
>> So my question to all: Is this the right moment to start deploying and
>> trialling out these new Internet architectures? Yay or Nay?
>>
>>  If Yay: Are there any planned initiatives? If so, what would be the challenges?
>>
>> If Nay:  Would just getting an access infrastructure (and all the
>> other logistics that come with it) to a community would be sufficient?
>>
>> Regards
>> Arjuna
>>
>>
>>
>>
>>
>>
>>
>>
>>
>> _______________________________________________
>> gaia mailing list
>> [email-masked]
>> https://irtf.org/mailman/listinfo/gaia
>>
>>
>
> _______________________________________________
> gaia mailing list
> [email-masked]
> https://irtf.org/mailman/listinfo/gaia
>
>

-- 
Steve Song
+1 902 529 0046
http://manypossibilities.net
http://villagetelco.org

---

From: Arjuna Sathiaseelan <[email-masked]>
Date: Tue, 7 Jan 2014 06:00:43 +0000

Hello Steve,
  Thanks a lot for these valuable points. It is indeed clear from your
mail, that there is a regulatory challenge and this requires a
significant push by the A4AI and others. It will be interesting to
have thoughts about this from the CTO (Martin Koyabe - do you have any
views?)

Some questions regarding billing (related to the earlier mail I sent):

(i) Do you have any info on how the price entry points reduced when
the broadband was provided and ran by a social enterprise when
compared to a provider? What was the increase in takeup?

(ii) Did you explore any other pricing schemes that allowed subsidised
access by a third party: local government, NGOs etc?

Regards
Arjuna

On 6 January 2014 17:45, Steve Song <[email-masked]> wrote:
> Hi all,
>
> I can contribute a few lessons learned from building Village Telco
> (http://villagetelco.org) as a social enterprise over the last couple of
> years.
>
> 1/  WiFi is undervalued in emerging markets as complementary infrastructure.
> In the industrialised world, we see the role that WiFi is playing in terms
> of data offload.  See
> http://www.nielsen.com/uk/en/insights/press-room/2012/wi-fi-delivers-over-three-quarters-of-all-uk-smartphone-data.html
> or http://www.mobidia.com/products/analytics/  In emerging markets, WiFi is
> required and the regulator (POTRAZ) has decided not to give out any licenses
> in the ISM bands.  In Malawi, point-to-point WiFi is legal but attracts a
> USD1000 fee per year; a pretty steep hurdle for a small entrepreneur.  There
> is space for an advocacy campaign just around making the ISM bands more
> accessible, not to mention increasing unlicensed spectrum in the 5GHz band.
>
> billing systems that tie into local mobile money solutions could really help
> WiFi take off in emerging markets.  This is where we failed with Village
> Telco.  We focused too much on devices and simplifying deployment when we
> should have placed equal or arguably more emphasis on simple billing
> solutions.  Management systems are important too but billing is first prize.
>
> Regards... Steve
>
>
>> we're discussing), we may find something that will be equally (or even more)
>> of interest to the commercial outfits in the G20 etc...
>>
>> where we each have a 5000 devices - so the call out rate could be 1000 times
>> higher, or we need to scale fault free system operation UP by 1000 times -
>> another way to put this is that in developing world, we need to scale down
>> costs of managing internet access by around 1000 times.
>>
>>>       Wolisz, A. "Desirable Trends in Mobile Communication",
>>>        ACM Mobile Computing and Communication Review (MC2R), vol. 16, no.
>>> 1, pp. 2–9, January, 2012
>>>
>>>                 F.Quiang et al. How to Reduce Smartphone Traffic Volume
>>> by 30%? In Springer
>>>                  LNCS 7799 pp.42-52 (proc. of the PAM 2013)
>>>
>>>
>>> So  my take would be: Let us explore - by research and experimentation -
>>> where  the "limits in the
>>> architecture" really are - and what can be done within the existing
>>> architectural limits?
>>> In other words:  -the answer  - as for today - seems to me to be:  YeyN
>>> ..
>>>
>>>
>>> best
>>> adam
>>>
>>>
>>> http://google-africa.blogspot.de/2013/11/trial-in-cape-town-shows-that-tv-white.html
>>> http://www.microsoft.com/africa/4afrika/white_spaces_project.aspx
>>>
>>> And folks from Berkeley on GSM whitespaces:
>>> http://www.eecs.berkeley.edu/Pubs/TechRpts/2013/EECS-2013-198.pdf
>>>
>>> in this direction:
>>> https://www.usenix.org/system/files/conference/nsdi13/nsdi13-final182.pdf
>>>
>>> (infact the Google cache initiatives in Africa is encouraging:
>>>
>>> http://www.tnj.com/career/people-move/googles-ory-okolloh-working-access-and-transparency-sub-saharan-africa)
>>>
>>>

-- 
Arjuna Sathiaseelan | http://www.cl.cam.ac.uk/~as2330/

---

From: <[email-masked]>
Date: Tue, 7 Jan 2014 13:19:20 +0000

Hi All,

The current problem/challenges that many regulators, especially in emerging markets, are facing is how to provide a 'one-size-fits-all' type of regulatory regime while keeping all multi-stakeholders happy.

What Steve said about Zimbabwe and Malawi is not surprising. Many regulators, especially in developing countries, are still struggling to adopt to new operational models that:-

- encourage favourable policies and regulatory frameworks, which are transparent, predictable and non-discriminatory in promoting innovation & competition;

- keep up with the rapid changes in technology. Most often regulation and legislation play catch up to new technology;

- Or are yet to meet their respective broadband challenges by developing digital opportunities;

Etc

We should also remember, that majority of the targeted users are in areas that either have no electricity or have no reliable basic infrastructure. This is one of the biggest challenges facing many developing countries.

Am sure colleagues at A4AI will be encouraging stakeholders in each participating country to address some of these problems.

Regards

Martin

------------------------------
Tel: +44 7918712490

-----Original Message-----
From: Arjuna Sathiaseelan [[email-masked]<mailto:[email-masked]>]
Sent: Tuesday, January 07, 2014 06:00 AM GMT Standard Time
To: Steve Song
Cc: [email-masked]; Koyabe,MW,Martin,TUB6 R
Subject: Re: [gaia] Time for exploring new Internet architectures?

Hello Steve,

Regards
Arjuna

---

From: Steve Song <[email-masked]>
Date: Tue, 7 Jan 2014 09:59:04 -0400

Hi Arjuna,

> have thoughts about this from the CTO (Martin Koyabe - do you have any

Just a point of clarification as I am new to this discussion.  Should I
intuit from your reply that regulation is outside of or perhaps adjunct to
the ambit of the GAIA conversation?

> compared to a provider? What was the increase in takeup?

Social enterprise is a murky term and I probably shouldn't have used it.
 In this context, I make no distinction between social enterprise and
regular broadband provider except for the fact that the social enterprise
is deliberately targeting those who don't have or can't afford access.

In terms of pricing, it is important to recognise that size and convenience
of payment may be just as important as the total cost.  BoP pricing which
allows for tiny need/usage-based payments for a service are critical as is
the ability to make the payment in a convenient way.  In sub-Saharan
Africa, the stats on what the poor pay for mobile services as a percentage
of their disposable income is astounding and most of those payments are in
tiny increments.

> access by a third party: local government, NGOs etc?

We deliberately did not.  There are many worthwhile public WiFi schemes
supported by governments, philanthropy, or the private sector but in our
case, we wished to design a technology/service that was affordable to the
poor in its own right.  I can't say we completely got there but I do
believe it is an achievable goal.

Regards... Steve

> infrastructure.
> licenses
> help
> more)
> times
> >>>         X.Bao et al. “DataSpotting: Exploiting Naturally Clustered
> Mobile
> >>> Devices to Offload Cellular Traffic”
> >>>          Infocom 2013;
> >>>
> >>>

---

From: Arjuna Sathiaseelan <[email-masked]>
Date: Tue, 7 Jan 2014 14:59:49 +0000

Hello Steve,

 Thanks for your reply.

> the ambit of the GAIA conversation?

We definitely need to understand all the challenges and hence its
important for us to understand the regulatory challenges and I am glad
you are bringing this topic to our forum.

The reason why I wanted to know more about the pricing was to
understand better on whether making an access technology available (as
you have done through the village telco project) at a reasonable cost
was sufficient enough or a motivator for the community to access and
use the Internet or whether the notion of affordability (even though
the costs were reasonable) were a barrier to entry.

Regards
Arjuna

> Social enterprise is a murky term and I probably shouldn't have used it.  In
> this context, I make no distinction between social enterprise and regular
> broadband provider except for the fact that the social enterprise is
> deliberately targeting those who don't have or can't afford access.
>
> the ability to make the payment in a convenient way.  In sub-Saharan Africa,
> the stats on what the poor pay for mobile services as a percentage of their
> disposable income is astounding and most of those payments are in tiny
> increments.
>
>>
> poor in its own right.  I can't say we completely got there but I do believe
> it is an achievable goal.
>
> Regards... Steve
>
>>
>> Regards
>> Arjuna
>>

---

From: Arjuna Sathiaseelan <[email-masked]>
Date: Tue, 7 Jan 2014 15:17:47 +0000

Hello Martin,
  Thanks for your reply. Its good to know that A4AI is aiming to
address these challenges. We specifically need forward looking
policies as stated in  the  A4AI affordability report ( published last
month) : http://a4ai.org/wp-content/uploads/2013/12/Affordability-Report-2013-FINAL.pdf

Regards
Arjuna

On 7 January 2014 13:19,  <[email-masked]> wrote:
> Hi All,
>
> The current problem/challenges that many regulators, especially in emerging
> markets, are facing is how to provide a 'one-size-fits-all' type of
> regulatory regime while keeping all multi-stakeholders happy.
>
> What Steve said about Zimbabwe and Malawi is not surprising. Many
> regulators, especially in developing countries, are still struggling to
> adopt to new operational models that:-
>
> - encourage favourable policies and regulatory frameworks, which are
> transparent, predictable and non-discriminatory in promoting innovation &
> competition;
>
> - keep up with the rapid changes in technology. Most often regulation and
> legislation play catch up to new technology;
>
> We should also remember, that majority of the targeted users are in areas
> that either have no electricity or have no reliable basic infrastructure.
> This is one of the biggest challenges facing many developing countries.
>
> Am sure colleagues at A4AI will be encouraging stakeholders in each
> participating country to address some of these problems.
>
> Regards
>
> Martin
>
>
>
> From: Arjuna Sathiaseelan [[email-masked]]

---

From: Vint Cerf <[email-masked]>
Date: Wed, 8 Jan 2014 09:38:41 -0500

on billing:

WIFI hotspots that charge ended up hijacking DNS lookups to force users to
home pages for collecting money - maybe we should invent a billing protocol
that standardizes the way in which one obtains access to facilities that
need/want to charge for service?

vint

On Tue, Jan 7, 2014 at 10:17 AM, Arjuna Sathiaseelan <
[email-masked]> wrote:

> month) :
> http://a4ai.org/wp-content/uploads/2013/12/Affordability-Report-2013-FINAL.pdf
>
> Regards
> Arjuna
>
> >> or http://www.mobidia.com/products/analytics/  In emerging markets,
> WiFi
> >> is
> >>> higher, or we need to scale fault free system operation UP by 1000
> times
> >>> -

---

From: Arjuna Sathiaseelan <[email-masked]>
Date: Thu, 9 Jan 2014 11:04:50 +0000

Dear Vint,
  Thanks for your reply.  I am not an AAA person but some thoughts.
Steve and others could provide some input.

Will be good to see how we could tie up payments to M-PESA?:
http://www.capitalfm.co.ke/business/2013/12/use-m-pesa-to-make-online-payments.
>From Steve's thoughts it looks like usage based payments/micropayments
are the key (as a digression this ties in with some nice adaptive QoS
tricks we could explore)

Jon Crowcroft had some very nice ideas about using bitcoin.

Many of these WiFi hotspots use captive portals that kind of redirect
them to do the payment - probably the AAA being governed by RADIUS
etc..One issue as you mention is that these portals could be easy
circumvented.

One possible option (which is not the great option from experience) is
using VPN to a central endpoint governed by the operator or some other
trusted third party as we do via the PAWS project. But from our PAWS
deployment, VPN has been a nightmare in terms of deployment:

1/ Users find it hard to configure VPNs and logging in on their
devices - so we need better ways of doing that..one idea here - how
about a user's preconfigured VPN fires in automatically whenever there
is an open SSID aka open public network without the user manually
setting it up? Is there any current provision in Android to do that?

2/We have had serious difficulties running PPTP over Android

3/Many home access points dont allow VPN passthrough by default! This
needs manual intervention.

Not sure how SDN could be used as a solution to circumvent some of the
solutions - but it could offer greater control for governing access.

Regards
Arjuna

On 8 January 2014 14:38, Vint Cerf <[email-masked]> wrote:
> On Tue, Jan 7, 2014 at 10:17 AM, Arjuna Sathiaseelan
> <[email-masked]> wrote:
>>
>> Hello Martin,
>> >> (point-to-point in particular) is pretty inconsistent.  In Zimbabwe,
>> >> use
>> >> of